Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2222636 - F39FailsToInstall: perl-LMDB_File
Summary: F39FailsToInstall: perl-LMDB_File
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-LMDB_File
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F39FailsToInstall F40FailsToInstall F40FTBFS Perl5.38
TreeView+ depends on / blocked
 
Reported: 2023-07-13 11:32 UTC by Fedora Fails To Install
Modified: 2023-09-15 18:38 UTC (History)
4 users (show)

Fixed In Version: perl-LMDB_File-0.12-28.fc40 perl-LMDB_File-0.12-28.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-15 18:38:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 148421 0 None None None 2023-07-13 13:33:48 UTC

Description Fedora Fails To Install 2023-07-13 11:32:08 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (perl-LMDB_File) Fails To Install in Fedora 39:

can't install perl-LMDB_File:
  - nothing provides libperl.so.5.36()(64bit) needed by perl-LMDB_File-0.12-25.fc38.x86_64
  - nothing provides perl(:MODULE_COMPAT_5.36.0) needed by perl-LMDB_File-0.12-25.fc38.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install perl-LMDB_File


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Petr Pisar 2023-07-13 13:33:49 UTC
perl-LMDB_File-0.12-26.fc39 fails to build with Perl 5.38.0:

gcc  -lpthread -shared -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -Wl,--build-id=sha1  -L/usr/local/lib -fstack-protector-strong  LMDB.o  -o blib/arch/auto/LMDB_File/LMDB_File.so  \
   -llmdb -lperl   \

/usr/bin/ld: /tmp/ccbrTLXG.ltrans0.ltrans.o: in function `XS_LMDB__Txn__dbi_open.lto_priv.0':
/home/test/fedora/perl-LMDB_File/LMDB_File-0.12/LMDB.xs:835: undefined reference to `Perl_do_vecget'
/usr/bin/ld: /tmp/ccbrTLXG.ltrans0.ltrans.o: in function `XS_LMDB__Cursor__del.lto_priv.0':
/home/test/fedora/perl-LMDB_File/LMDB_File-0.12/LMDB.c:2191: undefined reference to `Perl_do_vecget'
/usr/bin/ld: /tmp/ccbrTLXG.ltrans0.ltrans.o: in function `XS_LMDB__Cursor__get.lto_priv.0':
/home/test/fedora/perl-LMDB_File/LMDB_File-0.12/LMDB.c:2016: undefined reference to `Perl_do_vecget'
/usr/bin/ld: /tmp/ccbrTLXG.ltrans0.ltrans.o: in function `XS_LMDB__Cursor__put.lto_priv.0':
/home/test/fedora/perl-LMDB_File/LMDB_File-0.12/LMDB.c:2096: undefined reference to `Perl_do_vecget'
/usr/bin/ld: /tmp/ccbrTLXG.ltrans0.ltrans.o: in function `XS_LMDB_File__get.lto_priv.0':
/home/test/fedora/perl-LMDB_File/LMDB_File-0.12/LMDB.c:2517: undefined reference to `Perl_do_vecget'
/usr/bin/ld: /tmp/ccbrTLXG.ltrans1.ltrans.o:/home/test/fedora/perl-LMDB_File/LMDB_File-0.12/LMDB.c:2577: more undefined references to `Perl_do_vecget' follow
collect2: error: ld returned 1 exit status

Comment 2 Fedora Fails To Install 2023-07-23 18:20:12 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 3 Honza Horak 2023-07-27 13:51:19 UTC
I've orphaned this package, not sure who I become the owner any more.

Comment 4 Fedora Fails To Install 2023-07-28 08:21:16 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/perl-LMDB_File by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 5 Fedora Release Engineering 2023-08-16 07:19:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 6 Fedora Fails To Install 2023-08-21 20:55:57 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/ if you are unsure how to fix this bug.

Comment 7 Fedora Admin user for bugzilla script actions 2023-08-22 00:47:52 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Update System 2023-08-23 11:06:45 UTC
FEDORA-2023-1e52aaad72 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1e52aaad72

Comment 9 Fedora Update System 2023-08-23 11:07:33 UTC
FEDORA-2023-1e52aaad72 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Petr Pisar 2023-08-23 11:35:58 UTC
Could please apply the fix to Fedora 39?

Comment 11 Fedora Update System 2023-08-23 12:01:33 UTC
FEDORA-2023-a4669973c1 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a4669973c1

Comment 12 Fedora Update System 2023-08-24 01:22:42 UTC
FEDORA-2023-a4669973c1 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a4669973c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a4669973c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-09-15 18:38:40 UTC
FEDORA-2023-a4669973c1 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.